curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/reports/year-to-date \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pay_schedule_id": "<id>",
"filters": {
"pay_date_to": "2026-12-31"
}
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/reports/year-to-date"
payload = {
"pay_schedule_id": "<id>",
"filters": { "pay_date_to": "2026-12-31" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pay_schedule_id: '<id>', filters: {pay_date_to: '2026-12-31'}})
};
fetch('https://sandbox.nmbr.co/services/payroll/reports/year-to-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "report",
"data": {
"type": "year-to-date",
"business_entity": null,
"pay_schedule": {
"id": "<id>",
"object": "pay_schedule",
"links": {
"self": "/pay_schedules/<id>"
}
},
"payroll": null,
"filters": {
"payroll_type": null,
"payroll_status": [
"approved",
"processing",
"paid"
],
"pay_date_from": null,
"pay_date_to": "2026-12-31",
"year": null
},
"has_results": false,
"format": null,
"sheet": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reports/<id>"
}
}Create year-to-date report
When a Year to Date Report is created, the report content will be created asynchronously. It may then be retrieved from the GET endpoint using an “accept: text/csv” header.
To filter which payrolls should be included in the report, you may pass a filters object here, which may contain: pay_date_to: Limits payrolls to only from this pay-date and before.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Created
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("report").
Hide child attributes
Hide child attributes
cra-remittance, ei-cpp-balance, ei-qpp-qpip-balance, employer-health-tax, journal-entry, journal-entry-line-item, liability, payroll-register, rl1-preview, rq-remittance, t4-preview, vacation-accrual, workers-compensation, year-end-forms, year-to-date The output format set at creation for /download. One of csv or xlsx. null when no format was specified — required to use /download.
csv, pdf, xlsx 255The sheet selected at creation for multi-sheet reports (e.g. summary or detail for Payroll Register). null when the report has a single sheet or no sheet was specified.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

